Bug Hunting Session
Bug 51835 - Indent changes in Calc forces alignment to left
Summary: Indent changes in Calc forces alignment to left
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.0.0.beta2
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2012-07-07 10:02 UTC by Lior Kaplan
Modified: 2014-07-20 08:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lior Kaplan 2012-07-07 10:02:15 UTC
When using the increase/decrees indent button in Calc, the alignment changes to "to the left" even if it was "to the right" before using the buttons.

This is regard less of the text directionality or the sheet directionality.

Check on LibO 3.5.4.2 On Debian 64bit.
Comment 1 Lior Kaplan 2012-10-16 22:47:17 UTC
Seems to be fixed with LibO 3.6.2.1, waiting for confirmation before closing.
Comment 2 Lior Kaplan 2013-04-17 05:58:34 UTC
Still happens in 4.0.2.2.
Comment 3 ign_christian 2013-05-10 04:06:03 UTC
Seems to be fixed on LO 4.0.3.3 (Win7 Home Premium 32bit)

Please confirm & change status if you don't see this bug again.
Comment 4 Lior Kaplan 2013-05-10 08:36:07 UTC
Nope, still happens with 4.0.3.3.
Comment 5 Commit Notification 2013-05-31 08:31:47 UTC
abdulmajeed ahmed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af169a601dee381b17d1e87c346f2d97bad9a69f

Fix fdo#51835  Indent changes in Calc forces alignment to left



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Lior Kaplan 2013-05-31 19:26:35 UTC
Fix verified on a build from master.
Comment 7 Commit Notification 2013-05-31 19:39:00 UTC
abdulmajeed ahmed committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a81f52a3367f54675c89c1fc84ca161598662bd8&h=libreoffice-4-1

Fix fdo#51835  Indent changes in Calc forces alignment to left


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.